apiVersion: kustomize.config.k8s.io/v1beta1

namespace: poseoff-inference

resources:
  - backend-service.yaml
  - configmapbackedn.yaml
  - frontend-service.yaml
  # FUTURE: Use the gitlab project to reference the files there rather than copying them here
  # https://gitlab.com/next8741410/poseoff_frontend/-/tree/main/kube_poseoff_frontend
  - inference-service.yaml
  - kube_inference.yaml
  - mysqlpvc.yaml
  - mysql.yaml
  - poseoffrontend.yaml
  - testbackend.yaml

configMapGenerator:
  - name: poseofffront
    behavior: create
    literals:
      - CLOUD_URL='https://poseoff-edge-4yerohykja-uc.a.run.app'
      - EDGE_URL='http://192.168.1.1:9002' # NOTE: This is a placeholder. Replace with actual IP in Overlay
      - BACKEND_URL='http://192.168.1.1:8082' # NOTE: This is a placeholder
      - PRICYTRAY_URL='http://192.168.1.1:8080' # NOTE: This is a placeholder

generatorOptions:
  disableNameSuffixHash: true

images:
  - name: "registry.gitlab.com/next8741410/poseoff_inference"
    newTag: "latest"
  - name: "registry.gitlab.com/next8741410/poseoff_frontend"
    newTag: "latest"
  - name: "registry.gitlab.com/next8741410/poseoff_backend"
    newTag: "latest"
  - name: "mysql"
    newTag: "latest"

commonAnnotations:
  documentation: "https://gitlab.com/gcp-solutions-public/retail-edge/gdc-demos/poseoff-game-package.git"
